Activity log for bug #29713

Date Who What changed Old value New value Message
2006-01-26 02:30:04 Stuart Bishop bug added bug
2006-01-26 02:30:04 Stuart Bishop bug assigned to malone (upstream)
2006-02-21 15:02:36 Diogo Matsubara description If I search for 'sqlobject' on https://launchpad.net/products/launchpad/+bugs , I get no results despite this term being in the title of Bug #3096, which is currently in 'confirmed' status. Interestingly, you can see this bug in the full bug list. affects /products/malone -- Stuart Bishop <stuart.bishop@canonical.com> http://www.canonical.com/ Canonical Ltd. http://www.ubuntu.com/ Attachment: signature.asc Type: application/pgp-signature; name="signature.asc" URL: http://librarian.launchpad.net/1538063/signature.asc If I search for 'sqlobject' on https://launchpad.net/products/launchpad/+bugs , I get no results despite this term being in the title of Bug #3096, which is currently in 'confirmed' status. Interestingly, you can see this bug in the full bug list.
2006-02-21 15:02:36 Diogo Matsubara title Seach for sqlobject bugs in launchpad product fails to find any results Search for sqlobject bugs in launchpad product fails to find any results
2006-02-21 15:08:50 Diogo Matsubara malone: status Unconfirmed Confirmed
2006-02-21 15:08:50 Diogo Matsubara malone: statusexplanation
2006-08-23 09:49:14 Björn Tillenius malone: assignee stub
2008-12-19 18:12:16 Stuart Bishop malone: status Confirmed Triaged
2010-02-22 15:27:24 Karl Fogel summary Search for sqlobject bugs in launchpad product fails to find any results bug search fails to find results despite exact search string being in bug titles
2010-02-22 15:51:45 Karl Fogel description If I search for 'sqlobject' on https://launchpad.net/products/launchpad/+bugs , I get no results despite this term being in the title of Bug #3096, which is currently in 'confirmed' status. Interestingly, you can see this bug in the full bug list. This bug has expanded a bit since it was originally filed in 2006. Here is the current state of things. The Problem: ============ Doing a bug search can fail (turn up no results) despite the fact that the *exact* search string appears in the titles of some bugs that should be within the scope of the search. Examples: ========= * See bug #360642, which is now marked as a dup of this. The reporter says that searching for "from" failed to find results, even though that's in the title of https://bugs.edge.launchpad.net/ubuntu/+source/thunderbird/+bug/357864. Here is the title of that bug, using "/" as the delimiter since the title itself contains both double quotes and parens: /Editing the "From" field for the current email only (as text, not dropdown)/. I re-tested on 2010-02-22, and searching for either "from" or "From", with or without double quotes around it, still fails to turn up that bug. When I did a search for "from" (with no double quotes) with the "Across all project" radio button selected, I got exactly one result: 508760. It seems very unlikely that there'd be exactly one hit for a search on "from" :-). * There are two bugs with the string "community-contributions.py" in their titles: bug #513608 (as of 2010-02-22 was in state "confirmed", with summary "community-contributions.py script should use Launchpad to determine who is not a Canonical employee") and bug #432742 (state "fix committed", with summary "community-contributions.py script erroring on some Unicode (?) input"). Both are in launchpad-foundations (not sure why, but that's another matter). Searching for "community-contributions.py" fails to turn up any results when done across all projects, nor in "launchad-project", nor in "launchpad-foundations", nor in "launchpad". If we remove the ".py", then searching for "community-contributions" in in launchpad-project gets two hits: 393407 (which contains the words "community" and "contributed" separately) and 484824 (which contains "community" and "contributions" separately), but we don't get the bugs that have the exact match in their titles. Meanwhile, searching for "community-contributions" (without the ".py") across all projects results in 19 hits (312766, 374090, 459701, 459701, 265028, 456301, 393407, 418469, 484824, 250402, 263554, 250402, 250402, 357358, 411358, 453775, 495391, 459701, 509094), none of which are the two I'm looking for. A Possible Non-Example: ======================= * In the original repro recipe for this bug, the reporter said "If I search for 'sqlobject' on https://launchpad.net/products/launchpad/+bugs , I get no results despite this term being in the title of Bug #3096, which is currently in 'confirmed' status. Interestingly, you can see this bug in the full bug list." But bug #3096 is in "launchpad-foundations", and I'm not sure that searching for it in "launchpad" would work anyway, since "launchpad" is (AFAICT) just a grab-bag temporary holding area anyway. So it may be that the original bug report here was a misunderstanding, but that coincidentally, there is a real bug whose symptoms match those that the original report described!
2010-02-22 15:52:52 Karl Fogel description This bug has expanded a bit since it was originally filed in 2006. Here is the current state of things. The Problem: ============ Doing a bug search can fail (turn up no results) despite the fact that the *exact* search string appears in the titles of some bugs that should be within the scope of the search. Examples: ========= * See bug #360642, which is now marked as a dup of this. The reporter says that searching for "from" failed to find results, even though that's in the title of https://bugs.edge.launchpad.net/ubuntu/+source/thunderbird/+bug/357864. Here is the title of that bug, using "/" as the delimiter since the title itself contains both double quotes and parens: /Editing the "From" field for the current email only (as text, not dropdown)/. I re-tested on 2010-02-22, and searching for either "from" or "From", with or without double quotes around it, still fails to turn up that bug. When I did a search for "from" (with no double quotes) with the "Across all project" radio button selected, I got exactly one result: 508760. It seems very unlikely that there'd be exactly one hit for a search on "from" :-). * There are two bugs with the string "community-contributions.py" in their titles: bug #513608 (as of 2010-02-22 was in state "confirmed", with summary "community-contributions.py script should use Launchpad to determine who is not a Canonical employee") and bug #432742 (state "fix committed", with summary "community-contributions.py script erroring on some Unicode (?) input"). Both are in launchpad-foundations (not sure why, but that's another matter). Searching for "community-contributions.py" fails to turn up any results when done across all projects, nor in "launchad-project", nor in "launchpad-foundations", nor in "launchpad". If we remove the ".py", then searching for "community-contributions" in in launchpad-project gets two hits: 393407 (which contains the words "community" and "contributed" separately) and 484824 (which contains "community" and "contributions" separately), but we don't get the bugs that have the exact match in their titles. Meanwhile, searching for "community-contributions" (without the ".py") across all projects results in 19 hits (312766, 374090, 459701, 459701, 265028, 456301, 393407, 418469, 484824, 250402, 263554, 250402, 250402, 357358, 411358, 453775, 495391, 459701, 509094), none of which are the two I'm looking for. A Possible Non-Example: ======================= * In the original repro recipe for this bug, the reporter said "If I search for 'sqlobject' on https://launchpad.net/products/launchpad/+bugs , I get no results despite this term being in the title of Bug #3096, which is currently in 'confirmed' status. Interestingly, you can see this bug in the full bug list." But bug #3096 is in "launchpad-foundations", and I'm not sure that searching for it in "launchpad" would work anyway, since "launchpad" is (AFAICT) just a grab-bag temporary holding area anyway. So it may be that the original bug report here was a misunderstanding, but that coincidentally, there is a real bug whose symptoms match those that the original report described! This bug has expanded a bit since it was originally filed in 2006. Here is the current state of things. The Problem: ============ Doing a bug search can fail (turn up no results) despite the fact that the *exact* search string appears in the titles of some bugs that should be within the scope of the search. Examples: ========= * See bug #360642, which is now marked as a dup of this. The reporter says that searching for "from" failed to find results, even though that's in the title of https://bugs.edge.launchpad.net/ubuntu/+source/thunderbird/+bug/357864. Here is the title of that bug, using "/" as the delimiter since the title itself contains both double quotes and parens: /Editing the "From" field for the current email only (as text, not dropdown)/. I re-tested on 2010-02-22, and searching for either "from" or "From", with or without double quotes around it, still fails to turn up that bug. When I did a search for "from" (with no double quotes) with the "Across all project" radio button selected, I got exactly one result: 508760. It seems very unlikely that there'd be exactly one hit for a search on "from" :-). * There are two bugs with the string "community-contributions.py" in their titles: bug #513608 (as of 2010-02-22 was in state "confirmed", with summary "community-contributions.py script should use Launchpad to determine who is not a Canonical employee") and bug #432742 (state "fix committed", with summary "community-contributions.py script erroring on some Unicode (?) input"). Both are in launchpad-foundations (not sure why, but that's another matter). Searching for "community-contributions.py" fails to turn up any results when done across all projects, nor in "launchad-project", nor in "launchpad-foundations", nor in "launchpad". If we remove the ".py", then searching for "community-contributions" in in launchpad-project gets two hits: 393407 (which contains the words "community" and "contributed" separately) and 484824 (which contains "community" and "contributions" separately), but we don't get the bugs that have the exact match in their titles. Meanwhile, searching for "community-contributions" (without the ".py") across all projects results in 19 hits (312766, 374090, 459701, 459701, 265028, 456301, 393407, 418469, 484824, 250402, 263554, 250402, 250402, 357358, 411358, 453775, 495391, 459701, 509094), none of which are the two I'm looking for. A Possible Non-Example: ======================= * In the original repro recipe for this bug, the reporter said "If I search for 'sqlobject' on https://launchpad.net/products/launchpad/+bugs , I get no results despite this term being in the title of Bug #3096, which is currently in 'confirmed' status. Interestingly, you can see this bug in the full bug list." But bug #3096 is in "launchpad-foundations", and I'm not sure that searching for it in "launchpad" would work anyway, since "launchpad" is (AFAICT) just a grab-bag temporary holding area anyway. So it may be that the original bug report here was a misunderstanding, but that coincidentally, there is a real bug whose symptoms match those that the original report described!
2010-02-22 15:55:20 Karl Fogel description This bug has expanded a bit since it was originally filed in 2006. Here is the current state of things. The Problem: ============ Doing a bug search can fail (turn up no results) despite the fact that the *exact* search string appears in the titles of some bugs that should be within the scope of the search. Examples: ========= * See bug #360642, which is now marked as a dup of this. The reporter says that searching for "from" failed to find results, even though that's in the title of https://bugs.edge.launchpad.net/ubuntu/+source/thunderbird/+bug/357864. Here is the title of that bug, using "/" as the delimiter since the title itself contains both double quotes and parens: /Editing the "From" field for the current email only (as text, not dropdown)/. I re-tested on 2010-02-22, and searching for either "from" or "From", with or without double quotes around it, still fails to turn up that bug. When I did a search for "from" (with no double quotes) with the "Across all project" radio button selected, I got exactly one result: 508760. It seems very unlikely that there'd be exactly one hit for a search on "from" :-). * There are two bugs with the string "community-contributions.py" in their titles: bug #513608 (as of 2010-02-22 was in state "confirmed", with summary "community-contributions.py script should use Launchpad to determine who is not a Canonical employee") and bug #432742 (state "fix committed", with summary "community-contributions.py script erroring on some Unicode (?) input"). Both are in launchpad-foundations (not sure why, but that's another matter). Searching for "community-contributions.py" fails to turn up any results when done across all projects, nor in "launchad-project", nor in "launchpad-foundations", nor in "launchpad". If we remove the ".py", then searching for "community-contributions" in in launchpad-project gets two hits: 393407 (which contains the words "community" and "contributed" separately) and 484824 (which contains "community" and "contributions" separately), but we don't get the bugs that have the exact match in their titles. Meanwhile, searching for "community-contributions" (without the ".py") across all projects results in 19 hits (312766, 374090, 459701, 459701, 265028, 456301, 393407, 418469, 484824, 250402, 263554, 250402, 250402, 357358, 411358, 453775, 495391, 459701, 509094), none of which are the two I'm looking for. A Possible Non-Example: ======================= * In the original repro recipe for this bug, the reporter said "If I search for 'sqlobject' on https://launchpad.net/products/launchpad/+bugs , I get no results despite this term being in the title of Bug #3096, which is currently in 'confirmed' status. Interestingly, you can see this bug in the full bug list." But bug #3096 is in "launchpad-foundations", and I'm not sure that searching for it in "launchpad" would work anyway, since "launchpad" is (AFAICT) just a grab-bag temporary holding area anyway. So it may be that the original bug report here was a misunderstanding, but that coincidentally, there is a real bug whose symptoms match those that the original report described! This bug has expanded a bit since it was originally filed in 2006. Here is the current state of things. The Problem: ============ Doing a bug search can fail (turn up no results) despite the fact that the *exact* search string appears in the titles of some bugs that should be within the scope of the search. Examples: ========= * See bug #360642, which is now marked as a dup of this. The reporter says that searching for "from" failed to find results, even though that's in the title of https://bugs.edge.launchpad.net/ubuntu/+source/thunderbird/+bug/357864. Here is the title of that bug, using "/" as the delimiter since the title itself contains both double quotes and parens: /Editing the "From" field for the current email only (as text, not dropdown)/. I re-tested on 2010-02-22, and searching for either "from" or "From", with or without double quotes around it, still fails to turn up that bug. When I did a search for "from" (with no double quotes) with the "Across all project" radio button selected, I got exactly one result: 508760. It seems very unlikely that there'd be exactly one hit for a search on "from" :-). * There are two bugs with the string "community-contributions.py" in their titles: bug #513608 (as of 2010-02-22 was in state "confirmed", with summary "community-contributions.py script should use Launchpad to determine who is not a Canonical employee") and bug #432742 (state "fix committed", with summary "community-contributions.py script erroring on some Unicode (?) input"). Both are in launchpad-foundations (not sure why, but no matter). Anyway, searching for "community-contributions.py" fails to turn up any results when done across all projects, nor in "launchad-project", nor in "launchpad-foundations", nor in "launchpad". Removing the ".py" and searching for "community-contributions" in launchpad-project gets two hits: 393407 (which contains the words "community" and "contributed" separately) and 484824 (which contains "community" and "contributions" separately), but we still don't get the bugs that have the exact match in their titles. Meanwhile, searching for "community-contributions" (again without the ".py") with "Across all projects" checked results in 19 hits (312766, 374090, 459701, 459701, 265028, 456301, 393407, 418469, 484824, 250402, 263554, 250402, 250402, 357358, 411358, 453775, 495391, 459701, 509094), none of which are the two I'm looking for. A Possible Non-Example: ======================= * In the original repro recipe for this bug, the reporter said "If I search for 'sqlobject' on https://launchpad.net/products/launchpad/+bugs , I get no results despite this term being in the title of Bug #3096, which is currently in 'confirmed' status. Interestingly, you can see this bug in the full bug list." But bug #3096 is in "launchpad-foundations", and I'm not sure that searching for it in "launchpad" would work anyway, since "launchpad" is (AFAICT) just a grab-bag temporary holding area anyway. So it may be that the original bug report here was a misunderstanding, but that coincidentally, there is a real bug whose symptoms match those that the original report described!
2011-07-04 12:21:31 Stuart Bishop launchpad: assignee Stuart Bishop (stub)
2011-08-18 19:33:57 Ursula Junque tags lp-bugs search ubuntu-qa
2011-08-18 19:35:18 Ursula Junque bug added subscriber Ubuntu Defect Analysts
2011-09-20 20:48:07 Robert Collins launchpad: importance Medium High
2011-10-22 14:01:05 Curtis Hovey launchpad: importance High Low
2011-10-24 00:48:52 Robert Collins launchpad: importance Low High
2011-11-17 21:11:14 Francis J. Lacoste tags search ubuntu-qa escalated search ubuntu-qa
2011-11-17 21:11:18 Francis J. Lacoste launchpad: importance High Critical
2011-11-17 23:13:07 Robert Collins description This bug has expanded a bit since it was originally filed in 2006. Here is the current state of things. The Problem: ============ Doing a bug search can fail (turn up no results) despite the fact that the *exact* search string appears in the titles of some bugs that should be within the scope of the search. Examples: ========= * See bug #360642, which is now marked as a dup of this. The reporter says that searching for "from" failed to find results, even though that's in the title of https://bugs.edge.launchpad.net/ubuntu/+source/thunderbird/+bug/357864. Here is the title of that bug, using "/" as the delimiter since the title itself contains both double quotes and parens: /Editing the "From" field for the current email only (as text, not dropdown)/. I re-tested on 2010-02-22, and searching for either "from" or "From", with or without double quotes around it, still fails to turn up that bug. When I did a search for "from" (with no double quotes) with the "Across all project" radio button selected, I got exactly one result: 508760. It seems very unlikely that there'd be exactly one hit for a search on "from" :-). * There are two bugs with the string "community-contributions.py" in their titles: bug #513608 (as of 2010-02-22 was in state "confirmed", with summary "community-contributions.py script should use Launchpad to determine who is not a Canonical employee") and bug #432742 (state "fix committed", with summary "community-contributions.py script erroring on some Unicode (?) input"). Both are in launchpad-foundations (not sure why, but no matter). Anyway, searching for "community-contributions.py" fails to turn up any results when done across all projects, nor in "launchad-project", nor in "launchpad-foundations", nor in "launchpad". Removing the ".py" and searching for "community-contributions" in launchpad-project gets two hits: 393407 (which contains the words "community" and "contributed" separately) and 484824 (which contains "community" and "contributions" separately), but we still don't get the bugs that have the exact match in their titles. Meanwhile, searching for "community-contributions" (again without the ".py") with "Across all projects" checked results in 19 hits (312766, 374090, 459701, 459701, 265028, 456301, 393407, 418469, 484824, 250402, 263554, 250402, 250402, 357358, 411358, 453775, 495391, 459701, 509094), none of which are the two I'm looking for. A Possible Non-Example: ======================= * In the original repro recipe for this bug, the reporter said "If I search for 'sqlobject' on https://launchpad.net/products/launchpad/+bugs , I get no results despite this term being in the title of Bug #3096, which is currently in 'confirmed' status. Interestingly, you can see this bug in the full bug list." But bug #3096 is in "launchpad-foundations", and I'm not sure that searching for it in "launchpad" would work anyway, since "launchpad" is (AFAICT) just a grab-bag temporary holding area anyway. So it may be that the original bug report here was a misunderstanding, but that coincidentally, there is a real bug whose symptoms match those that the original report described! This bug has expanded a bit since it was originally filed in 2006. Here is the current state of things. The Problem: ============ Doing a bug search can fail (turn up no results) despite the fact that the *exact* search string appears in the titles of some bugs that should be within the scope of the search. Examples: =========  * See bug #360642, which is now marked as a dup of this. The    reporter says that searching for "from" failed to find results,    even though that's in the title of    https://bugs.edge.launchpad.net/ubuntu/+source/thunderbird/+bug/357864.    Here is the title of that bug, using "/" as the delimiter since the    title itself contains both double quotes and parens: /Editing the    "From" field for the current email only (as text, not dropdown)/.    I re-tested on 2010-02-22, and searching for either "from" or    "From", with or without double quotes around it, still fails to    turn up that bug. When I did a search for "from" (with no double    quotes) with the "Across all project" radio button selected, I got    exactly one result: 508760. It seems very unlikely that there'd be    exactly one hit for a search on "from" :-).  * There are two bugs with the string "community-contributions.py" in    their titles: bug #513608 (as of 2010-02-22 was in state    "confirmed", with summary "community-contributions.py script should    use Launchpad to determine who is not a Canonical employee") and    bug #432742 (state "fix committed", with summary    "community-contributions.py script erroring on some Unicode (?)    input"). Both are in launchpad-foundations (not sure why, but no    matter).    Anyway, searching for "community-contributions.py" fails to turn up    any results when done across all projects, nor in    "launchad-project", nor in "launchpad-foundations", nor in    "launchpad".    Removing the ".py" and searching for "community-contributions" in    launchpad-project gets two hits: 393407 (which contains the words    "community" and "contributed" separately) and 484824 (which    contains "community" and "contributions" separately), but we still    don't get the bugs that have the exact match in their titles.    Meanwhile, searching for "community-contributions" (again without    the ".py") with "Across all projects" checked results in 19 hits    (312766, 374090, 459701, 459701, 265028, 456301, 393407, 418469,    484824, 250402, 263554, 250402, 250402, 357358, 411358, 453775,    495391, 459701, 509094), none of which are the two I'm looking for. A Possible Non-Example: =======================  * In the original repro recipe for this bug, the reporter said "If I    search for 'sqlobject' on    https://launchpad.net/products/launchpad/+bugs , I get no results    despite this term being in the title of Bug #3096, which is    currently in 'confirmed' status. Interestingly, you can see this    bug in the full bug list."    But bug #3096 is in "launchpad-foundations", and I'm not sure that    searching for it in "launchpad" would work anyway, since    "launchpad" is (AFAICT) just a grab-bag temporary holding area    anyway. So it may be that the original bug report here was a    misunderstanding, but that coincidentally, there is a real bug    whose symptoms match those that the original report described! Possible causes =============== Tokenisation of terms is done both in-DB and in-python, if these are mismatched we may have terms that simply cannot be searched on because the supplied search query won't ever match the indexed terms,
2011-12-09 11:47:12 Graham Binns launchpad: assignee Graham Binns (gmb)
2011-12-12 12:18:30 Graham Binns launchpad: assignee Graham Binns (gmb)
2011-12-12 22:47:50 Robert Collins description This bug has expanded a bit since it was originally filed in 2006. Here is the current state of things. The Problem: ============ Doing a bug search can fail (turn up no results) despite the fact that the *exact* search string appears in the titles of some bugs that should be within the scope of the search. Examples: =========  * See bug #360642, which is now marked as a dup of this. The    reporter says that searching for "from" failed to find results,    even though that's in the title of    https://bugs.edge.launchpad.net/ubuntu/+source/thunderbird/+bug/357864.    Here is the title of that bug, using "/" as the delimiter since the    title itself contains both double quotes and parens: /Editing the    "From" field for the current email only (as text, not dropdown)/.    I re-tested on 2010-02-22, and searching for either "from" or    "From", with or without double quotes around it, still fails to    turn up that bug. When I did a search for "from" (with no double    quotes) with the "Across all project" radio button selected, I got    exactly one result: 508760. It seems very unlikely that there'd be    exactly one hit for a search on "from" :-).  * There are two bugs with the string "community-contributions.py" in    their titles: bug #513608 (as of 2010-02-22 was in state    "confirmed", with summary "community-contributions.py script should    use Launchpad to determine who is not a Canonical employee") and    bug #432742 (state "fix committed", with summary    "community-contributions.py script erroring on some Unicode (?)    input"). Both are in launchpad-foundations (not sure why, but no    matter).    Anyway, searching for "community-contributions.py" fails to turn up    any results when done across all projects, nor in    "launchad-project", nor in "launchpad-foundations", nor in    "launchpad".    Removing the ".py" and searching for "community-contributions" in    launchpad-project gets two hits: 393407 (which contains the words    "community" and "contributed" separately) and 484824 (which    contains "community" and "contributions" separately), but we still    don't get the bugs that have the exact match in their titles.    Meanwhile, searching for "community-contributions" (again without    the ".py") with "Across all projects" checked results in 19 hits    (312766, 374090, 459701, 459701, 265028, 456301, 393407, 418469,    484824, 250402, 263554, 250402, 250402, 357358, 411358, 453775,    495391, 459701, 509094), none of which are the two I'm looking for. A Possible Non-Example: =======================  * In the original repro recipe for this bug, the reporter said "If I    search for 'sqlobject' on    https://launchpad.net/products/launchpad/+bugs , I get no results    despite this term being in the title of Bug #3096, which is    currently in 'confirmed' status. Interestingly, you can see this    bug in the full bug list."    But bug #3096 is in "launchpad-foundations", and I'm not sure that    searching for it in "launchpad" would work anyway, since    "launchpad" is (AFAICT) just a grab-bag temporary holding area    anyway. So it may be that the original bug report here was a    misunderstanding, but that coincidentally, there is a real bug    whose symptoms match those that the original report described! Possible causes =============== Tokenisation of terms is done both in-DB and in-python, if these are mismatched we may have terms that simply cannot be searched on because the supplied search query won't ever match the indexed terms, This bug has expanded a bit since it was originally filed in 2006. Here is the current state of things. The Problem: ============ Doing a bug search can fail (turn up no results) despite the fact that the *exact* search string appears in the titles of some bugs that should be within the scope of the search. Examples: ========= * See bug 2753 (now a dupe of this). The thing being searched for was 'div' and the text indexed contained ' <div> '.  * See bug #360642, which is now marked as a dup of this. The    reporter says that searching for "from" failed to find results,    even though that's in the title of    https://bugs.edge.launchpad.net/ubuntu/+source/thunderbird/+bug/357864.    Here is the title of that bug, using "/" as the delimiter since the    title itself contains both double quotes and parens: /Editing the    "From" field for the current email only (as text, not dropdown)/.    I re-tested on 2010-02-22, and searching for either "from" or    "From", with or without double quotes around it, still fails to    turn up that bug. When I did a search for "from" (with no double    quotes) with the "Across all project" radio button selected, I got    exactly one result: 508760. It seems very unlikely that there'd be    exactly one hit for a search on "from" :-).  * There are two bugs with the string "community-contributions.py" in    their titles: bug #513608 (as of 2010-02-22 was in state    "confirmed", with summary "community-contributions.py script should    use Launchpad to determine who is not a Canonical employee") and    bug #432742 (state "fix committed", with summary    "community-contributions.py script erroring on some Unicode (?)    input"). Both are in launchpad-foundations (not sure why, but no    matter).    Anyway, searching for "community-contributions.py" fails to turn up    any results when done across all projects, nor in    "launchad-project", nor in "launchpad-foundations", nor in    "launchpad".    Removing the ".py" and searching for "community-contributions" in    launchpad-project gets two hits: 393407 (which contains the words    "community" and "contributed" separately) and 484824 (which    contains "community" and "contributions" separately), but we still    don't get the bugs that have the exact match in their titles.    Meanwhile, searching for "community-contributions" (again without    the ".py") with "Across all projects" checked results in 19 hits    (312766, 374090, 459701, 459701, 265028, 456301, 393407, 418469,    484824, 250402, 263554, 250402, 250402, 357358, 411358, 453775,    495391, 459701, 509094), none of which are the two I'm looking for. A Possible Non-Example: =======================  * In the original repro recipe for this bug, the reporter said "If I    search for 'sqlobject' on    https://launchpad.net/products/launchpad/+bugs , I get no results    despite this term being in the title of Bug #3096, which is    currently in 'confirmed' status. Interestingly, you can see this    bug in the full bug list."    But bug #3096 is in "launchpad-foundations", and I'm not sure that    searching for it in "launchpad" would work anyway, since    "launchpad" is (AFAICT) just a grab-bag temporary holding area    anyway. So it may be that the original bug report here was a    misunderstanding, but that coincidentally, there is a real bug    whose symptoms match those that the original report described! Possible causes =============== Tokenisation of terms is done both in-DB and in-python, if these are mismatched we may have terms that simply cannot be searched on because the supplied search query won't ever match the indexed terms,
2011-12-12 22:48:54 Robert Collins summary bug search fails to find results despite exact search string being in bug titles bug search fails to find results when punctuation is adjacent to regular text in the document (e.g. '"from"', '<div>')
2012-02-13 04:02:01 Anthony Wong bug added subscriber Anthony Wong
2012-06-12 10:17:56 Abel Deuring bug added subscriber Abel Deuring
2012-06-12 15:30:50 Abel Deuring launchpad: assignee Abel Deuring (adeuring)
2012-06-12 15:30:55 Abel Deuring launchpad: status Triaged In Progress
2012-06-20 15:22:13 Abel Deuring branch linked lp:~adeuring/launchpad/bug-29713
2012-06-21 20:40:39 Launchpad QA Bot tags escalated search ubuntu-qa escalated qa-needstesting search ubuntu-qa
2012-06-21 20:40:40 Launchpad QA Bot launchpad: status In Progress Fix Committed
2012-06-24 23:49:50 William Grant tags escalated qa-needstesting search ubuntu-qa bad-commit-15464 escalated qa-needstesting search ubuntu-qa
2012-06-25 04:16:13 Edward Donovan bug added subscriber Edward Donovan
2012-06-25 04:25:26 William Grant launchpad: status Fix Committed In Progress
2012-06-26 09:46:11 Abel Deuring branch linked lp:~adeuring/launchpad/bug-29713-db-dev
2012-06-26 15:32:59 Abel Deuring launchpad: status In Progress Fix Committed
2012-06-26 19:06:44 Abel Deuring tags bad-commit-15464 escalated qa-needstesting search ubuntu-qa bad-commit-15464 escalated qa-ok search ubuntu-qa
2012-06-28 03:38:40 William Grant launchpad: status Fix Committed Fix Released